Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv	(revision 17551)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv	(revision 17552)
@@ -14,14 +14,14 @@
 BARST,FAT,RCS,28500,16000,1000,4500,3000,3000,
 BATMA,FAT,TMA,28500,16000,1000,4500,3000,3000,
-BSCANA,FBM,ANA,35000,16000,1000,4500,3000,3000,
-BMLS,FBM,MLS,41000,16000,1000,4500,3000,3000,
-BMLSCHMP,FBM,MLS,41000,16000,1000,4500,3000,3000,
-BMLSHBTS,FBM,MLS,41000,16000,1000,4500,3000,3000,
-BMLSHIST,FBM,MLS,41000,16000,1000,4500,3000,3000,
-BMLSMMCB,FBM,MLS,41000,16000,1000,4500,3000,3000,
-BSCNSG,FBM,NSG,41000,16000,1000,4500,3000,3000,
-BSCPHS,FBM,PHS,35000,16000,1000,4500,3000,3000,
-BSCPYS,FBM,PYS,35000,16000,1000,4500,3000,3000,
-MBBS,FCS,MED,41000,16000,1000,4500,3000,3000,
+BSCANA,FBM,ANA,195000,16000,1000,4500,3000,3000,
+BMLS,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSCHMP,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSHBTS,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSHIST,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSMMCB,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BSCNSG,FBM,NSG,215000,16000,1000,4500,3000,3000,
+BSCPHS,FBM,PHS,170000,16000,1000,4500,3000,3000,
+BSCPYS,FBM,PYS,170000,16000,1000,4500,3000,3000,
+MBBS,FCS,MED,220000,16000,1000,4500,3000,3000,
 BEDACC,FED,BED,35000,16000,1000,4500,3000,3000,
 BEDOTM,FED,BED,35000,16000,1000,4500,3000,3000,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv	(revision 17551)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv	(revision 17552)
@@ -14,14 +14,14 @@
 BARST,FAT,RCS,28000,16000,1000,4500,3000,3000,
 BATMA,FAT,TMA,28000,16000,1000,4500,3000,3000,
-BSCANA,FBM,ANA,40500,16000,1000,4500,3000,3000,
-BMLS,FBM,MLS,40500,16000,1000,4500,3000,3000,
-BMLSCHMP,FBM,MLS,40500,16000,1000,4500,3000,3000,
-BMLSHBTS,FBM,MLS,40500,16000,1000,4500,3000,3000,
-BMLSHIST,FBM,MLS,40500,16000,1000,4500,3000,3000,
-BMLSMMCB,FBM,MLS,40500,16000,1000,4500,3000,3000,
-BSCNSG,FBM,NSG,40500,16000,1000,4500,3000,3000,
-BSCPHS,FBM,PHS,40500,16000,1000,4500,3000,3000,
-BSCPYS,FBM,PYS,40500,16000,1000,4500,3000,3000,
-MBBS,FCS,MED,40500,16000,1000,4500,3000,3000,
+BSCANA,FBM,ANA,195000,16000,1000,4500,3000,3000,
+BMLS,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSCHMP,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSHBTS,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSHIST,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSMMCB,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BSCNSG,FBM,NSG,215000,16000,1000,4500,3000,3000,
+BSCPHS,FBM,PHS,170000,16000,1000,4500,3000,3000,
+BSCPYS,FBM,PYS,170000,16000,1000,4500,3000,3000,
+MBBS,FCS,MED,220000,16000,1000,4500,3000,3000,
 BEDACC,FED,BED,34500,16000,1000,4500,3000,3000,
 BEDOTM,FED,BED,34500,16000,1000,4500,3000,3000,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv	(revision 17551)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv	(revision 17552)
@@ -14,14 +14,14 @@
 BARST,FAT,RCS,29500,16000,1000,4500,3000,3000,
 BATMA,FAT,TMA,29500,16000,1000,4500,3000,3000,
-BSCANA,FBM,ANA,36000,16000,1000,4500,3000,3000,
-BMLS,FBM,MLS,42000,16000,1000,4500,3000,3000,
-BMLSCHMP,FBM,MLS,42000,16000,1000,4500,3000,3000,
-BMLSHBTS,FBM,MLS,42000,16000,1000,4500,3000,3000,
-BMLSHIST,FBM,MLS,42000,16000,1000,4500,3000,3000,
-BMLSMMCB,FBM,MLS,42000,16000,1000,4500,3000,3000,
-BSCNSG,FBM,NSG,42000,16000,1000,4500,3000,3000,
-BSCPHS,FBM,PHS,36000,16000,1000,4500,3000,3000,
-BSCPYS,FBM,PYS,36000,16000,1000,4500,3000,3000,
-MBBS,FCS,MED,42000,16000,1000,4500,3000,3000,
+BSCANA,FBM,ANA,195000,16000,1000,4500,3000,3000,
+BMLS,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSCHMP,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSHBTS,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSHIST,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSMMCB,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BSCNSG,FBM,NSG,215000,16000,1000,4500,3000,3000,
+BSCPHS,FBM,PHS,170000,16000,1000,4500,3000,3000,
+BSCPYS,FBM,PYS,170000,16000,1000,4500,3000,3000,
+MBBS,FCS,MED,220000,16000,1000,4500,3000,3000,
 BEDACC,FED,BED,36000,16000,1000,4500,3000,3000,
 BEDOTM,FED,BED,36000,16000,1000,4500,3000,3000,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv	(revision 17551)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv	(revision 17552)
@@ -14,14 +14,14 @@
 BARST,FAT,RCS,91950,16000,1000,4500,3000,3000,
 BATMA,FAT,TMA,91950,16000,1000,4500,3000,3000,
-BSCANA,FBM,ANA,124700,16000,1000,4500,3000,3000,
-BMLS,FBM,MLS,124700,16000,1000,4500,3000,3000,
-BMLSCHMP,FBM,MLS,124700,16000,1000,4500,3000,3000,
-BMLSHBTS,FBM,MLS,124700,16000,1000,4500,3000,3000,
-BMLSHIST,FBM,MLS,124700,16000,1000,4500,3000,3000,
-BMLSMMCB,FBM,MLS,124700,16000,1000,4500,3000,3000,
-BSCNSG,FBM,NSG,124700,16000,1000,4500,3000,3000,
-BSCPHS,FBM,PHS,107700,16000,1000,4500,3000,3000,
-BSCPYS,FBM,PYS,107700,16000,1000,4500,3000,3000,
-MBBS,FCS,MED,155700,16000,1000,4500,3000,3000,
+BSCANA,FBM,ANA,195000,16000,1000,4500,3000,3000,
+BMLS,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSCHMP,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSHBTS,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSHIST,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BMLSMMCB,FBM,MLS,210000,16000,1000,4500,3000,3000,
+BSCNSG,FBM,NSG,215000,16000,1000,4500,3000,3000,
+BSCPHS,FBM,PHS,170000,16000,1000,4500,3000,3000,
+BSCPYS,FBM,PYS,170000,16000,1000,4500,3000,3000,
+MBBS,FCS,MED,220000,16000,1000,4500,3000,3000,
 BEDACC,FED,BED,107700,16000,1000,4500,3000,3000,
 BEDOTM,FED,BED,107700,16000,1000,4500,3000,3000,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv	(revision 17551)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv	(revision 17552)
@@ -14,14 +14,14 @@
 BARST,FAT,RCS,95950,16000,1000,4500,3000,3000,,
 BATMA,FAT,TMA,95950,16000,1000,4500,3000,3000,,
-BSCANA,FBM,ANA,128700,16000,1000,4500,3000,3000,,
-BMLS,FBM,MLS,128700,16000,1000,4500,3000,3000,,
-BMLSCHMP,FBM,MLS,128700,16000,1000,4500,3000,3000,,
-BMLSHBTS,FBM,MLS,128700,16000,1000,4500,3000,3000,,
-BMLSHIST,FBM,MLS,128700,16000,1000,4500,3000,3000,,
-BMLSMMCB,FBM,MLS,128700,16000,1000,4500,3000,3000,,
-BSCNSG,FBM,NSG,128700,16000,1000,4500,3000,3000,,
-BSCPHS,FBM,PHS,111700,16000,1000,4500,3000,3000,,
-BSCPYS,FBM,PYS,111700,16000,1000,4500,3000,3000,,
-MBBS,FCS,MED,159700,16000,1000,4500,3000,3000,,
+BSCANA,FBM,ANA,195000,16000,1000,4500,3000,3000,,
+BMLS,FBM,MLS,210000,16000,1000,4500,3000,3000,,
+BMLSCHMP,FBM,MLS,210000,16000,1000,4500,3000,3000,,
+BMLSHBTS,FBM,MLS,210000,16000,1000,4500,3000,3000,,
+BMLSHIST,FBM,MLS,210000,16000,1000,4500,3000,3000,,
+BMLSMMCB,FBM,MLS,210000,16000,1000,4500,3000,3000,,
+BSCNSG,FBM,NSG,215000,16000,1000,4500,3000,3000,,
+BSCPHS,FBM,PHS,170000,16000,1000,4500,3000,3000,,
+BSCPYS,FBM,PYS,170000,16000,1000,4500,3000,3000,,
+MBBS,FCS,MED,220000,16000,1000,4500,3000,3000,,
 BEDACC,FED,BED,111700,16000,1000,4500,3000,3000,,
 BEDOTM,FED,BED,111700,16000,1000,4500,3000,3000,,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv	(revision 17551)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv	(revision 17552)
@@ -14,14 +14,14 @@
 BARST,FAT,RCS,125750,16000,1000,4500,3000,3000,100_20000,
 BATMA,FAT,TMA,125750,16000,1000,4500,3000,3000,100_20000,
-BSCANA,FBM,ANA,158500,16000,1000,4500,3000,3000,100_20000,
-BMLS,FBM,MLS,178500,16000,1000,4500,3000,3000,100_20000,
-BMLSCHMP,FBM,MLS,178500,16000,1000,4500,3000,3000,100_20000,
-BMLSHBTS,FBM,MLS,178500,16000,1000,4500,3000,3000,100_20000,
-BMLSHIST,FBM,MLS,178500,16000,1000,4500,3000,3000,100_20000,
-BMLSMMCB,FBM,MLS,178500,16000,1000,4500,3000,3000,100_20000,
-BSCNSG,FBM,NSG,158500,16000,1000,4500,3000,3000,100_20000,
-BSCPHS,FBM,PHS,141500,16000,1000,4500,3000,3000,100_20000,
-BSCPYS,FBM,PYS,141500,16000,1000,4500,3000,3000,100_20000,
-MBBS,FCS,MED,209500,16000,1000,4500,3000,3000,100_20000,
+BSCANA,FBM,ANA,195000,16000,1000,4500,3000,3000,100_20000,
+BMLS,FBM,MLS,210000,16000,1000,4500,3000,3000,100_20000,
+BMLSCHMP,FBM,MLS,210000,16000,1000,4500,3000,3000,100_20000,
+BMLSHBTS,FBM,MLS,210000,16000,1000,4500,3000,3000,100_20000,
+BMLSHIST,FBM,MLS,210000,16000,1000,4500,3000,3000,100_20000,
+BMLSMMCB,FBM,MLS,210000,16000,1000,4500,3000,3000,100_20000,
+BSCNSG,FBM,NSG,215000,16000,1000,4500,3000,3000,100_20000,
+BSCPHS,FBM,PHS,170000,16000,1000,4500,3000,3000,100_20000,
+BSCPYS,FBM,PYS,170000,16000,1000,4500,3000,3000,100_20000,
+MBBS,FCS,MED,220000,16000,1000,4500,3000,3000,100_20000,
 BEDACC,FED,BED,141500,16000,1000,4500,3000,3000,100_20000,
 BEDOTM,FED,BED,141500,16000,1000,4500,3000,3000,100_20000,