Index: main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py	(revision 17454)
+++ main/waeup.uniben/trunk/src/waeup/uniben/remita/browser.py	(revision 17590)
@@ -184,34 +184,35 @@
 
         ## Disabled on 24/02/21
+        ## Reenabled on 19/09/23 (ticket #1327)
         ## We overwrite linetems in case of JUPEB students
-        #if self.context.student.is_jupeb:
-        #    if self.context.p_category == 'clearance':
-        #        provider_amt = self.dynamic_provider_amt(self.context.student)
-        #        reduced_inst_amt = 0.7 * inst_amt
-        #        jupeb_amt = 0.3 * inst_amt
-        #    elif self.context.p_category == 'schoolfee' and \
-        #        not self.context.p_item == 'Balance':
-        #        provider_amt = self.dynamic_provider_amt(self.context.student)
-        #        if self.context.student.depcode in ('AGR_JUP','EDU_JUP','ENG_JUP',
-        #                                       'LSC_JUP','MED_JUP','PSC_JUP'):
-        #            lab_amt = 10000
-        #        reduced_inst_amt = 0.7 * (inst_amt - lab_amt)
-        #        jupeb_amt = 0.3 * (inst_amt - lab_amt) + lab_amt
-        #    lineitems = (
-        #                  {"lineItemsId":"itemid1","beneficiaryName":"Uniben",
-        #                  "beneficiaryAccount":inst_acct,"bankCode":inst_bankcode,
-        #                  "beneficiaryAmount":reduced_inst_amt,"deductFeeFrom":"1"},
-        #                )
-        #    lineitems += ({"lineItemsId":"itemid2","beneficiaryName":"JUPEB",
-        #                  "beneficiaryAccount":"1100020192","bankCode":"039",
-        #                  "beneficiaryAmount":jupeb_amt,"deductFeeFrom":"0"},)
-        #    if provider_amt:
-        #        lineitems += ({"lineItemsId":"itemid3","beneficiaryName":"WAeAC",
-        #                      "beneficiaryAccount":"1014261520","bankCode":"057",
-        #                      "beneficiaryAmount":provider_amt,"deductFeeFrom":"0"},)
-        #    if student_union:
-        #        lineitems += ({"lineItemsId":"itemid4","beneficiaryName":"Student Union",
-        #                      "beneficiaryAccount":"0025636203","bankCode":"039",
-        #                      "beneficiaryAmount":student_union,"deductFeeFrom":"0"},)
+        if self.context.student.is_jupeb:
+            if self.context.p_category == 'clearance':
+                provider_amt = self.dynamic_provider_amt(self.context.student)
+                reduced_inst_amt = 0.7 * inst_amt
+                jupeb_amt = 0.3 * inst_amt
+            elif self.context.p_category == 'schoolfee' and \
+                not self.context.p_item == 'Balance':
+                provider_amt = self.dynamic_provider_amt(self.context.student)
+                #if self.context.student.depcode in ('AGR_JUP','EDU_JUP','ENG_JUP',
+                #                               'LSC_JUP','MED_JUP','PSC_JUP'):
+                #    lab_amt = 10000
+                reduced_inst_amt = 0.7 * (inst_amt - lab_amt)
+                jupeb_amt = 0.3 * (inst_amt - lab_amt) + lab_amt
+            lineitems = (
+                          {"lineItemsId":"itemid1","beneficiaryName":"Uniben",
+                          "beneficiaryAccount":inst_acct,"bankCode":inst_bankcode,
+                          "beneficiaryAmount":reduced_inst_amt,"deductFeeFrom":"1"},
+                        )
+            lineitems += ({"lineItemsId":"itemid2","beneficiaryName":"JUPEB",
+                          "beneficiaryAccount":"1100020192","bankCode":"039",
+                          "beneficiaryAmount":jupeb_amt,"deductFeeFrom":"0"},)
+            if provider_amt:
+                lineitems += ({"lineItemsId":"itemid3","beneficiaryName":"WAeAC",
+                              "beneficiaryAccount":"1014261520","bankCode":"057",
+                              "beneficiaryAmount":provider_amt,"deductFeeFrom":"0"},)
+            if student_union:
+                lineitems += ({"lineItemsId":"itemid4","beneficiaryName":"Student Union",
+                              "beneficiaryAccount":"0025636203","bankCode":"039",
+                              "beneficiaryAmount":student_union,"deductFeeFrom":"0"},)
 
 