Index: /main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 17596)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 17597)
@@ -572,9 +572,24 @@
             form_fields['courier_tno'].for_display = True
             form_fields['proc_date'].for_display = True
-            for field in TRANS_OMIT_EDIT_FIELDS:
-                form_fields = form_fields.omit(field)
             if state == PAID:
                 form_fields['order'].for_display = True
             form_fields = form_fields.omit('locked')
+
+            form_fields['date_of_birth'].field.required = True
+            #form_fields['nationality'].field.required = True
+            form_fields['email'].field.required = True
+            form_fields['phone'].field.required = True
+            form_fields['dispatch_address'].field.required = True
+            form_fields['entry_mode'].field.required = True
+            form_fields['entry_session'].field.required = True
+            form_fields['end_session'].field.required = True
+            form_fields['course_studied'].field.required = True
+            form_fields['collected'].field.required = True
+            form_fields['order'].field.required = True
+            form_fields['charge'].field.required = True
+            form_fields['no_copies'].field.required = True
+
+            for field in TRANS_OMIT_EDIT_FIELDS:
+                form_fields = form_fields.omit(field)
             return form_fields
         if self.target is not None and self.target == 'tscs':
@@ -582,4 +597,19 @@
             form_fields['courier_tno'].for_display = True
             form_fields['proc_date'].for_display = True
+
+            form_fields['date_of_birth'].field.required = True
+            #form_fields['nationality'].field.required = True
+            form_fields['email'].field.required = True
+            form_fields['phone'].field.required = True
+            form_fields['dispatch_address'].field.required = True
+            form_fields['entry_mode'].field.required = True
+            form_fields['entry_session'].field.required = True
+            form_fields['end_session'].field.required = True
+            form_fields['course_studied'].field.required = True
+            form_fields['collected'].field.required = True
+            form_fields['order'].field.required = True
+            form_fields['charge'].field.required = True
+            form_fields['no_copies'].field.required = True
+
             for field in TRANS_SHORT_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
Index: /main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 17596)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 17597)
@@ -335,5 +335,5 @@
     date_of_birth = FormattedDate(
         title = _(u'Date of Birth'),
-        required = True,
+        required = False,
         #date_format = u'%d/%m/%Y', # Use grok-instance-wide default
         show_year = True,
@@ -373,5 +373,5 @@
         title = _(u'Have you collected transcript before?'),
         default = False,
-        required = True,
+        required = False,
         )
 
@@ -379,5 +379,5 @@
         title = _(u'Academic Session of Entry'),
         source = academic_sessions_vocab,
-        required = True,
+        required = False,
         readonly = False,
         )
@@ -386,5 +386,5 @@
         title = _(u'Academic Session of Graduation'),
         source = academic_sessions_vocab,
-        required = True,
+        required = False,
         readonly = False,
         )
@@ -393,5 +393,5 @@
         title = _(u'Mode of Entry'),
         source = StudyModeSource(),
-        required = True,
+        required = False,
         readonly = False,
         )
@@ -429,5 +429,5 @@
         source = OrderSource(),
         title = _(u'Type of Order'),
-        required = True,
+        required = False,
         )
 
@@ -444,5 +444,5 @@
         title = _(u'Transcript Charge'),
         source = DestinationCostSource(),
-        required = True,
+        required = False,
         readonly = False,
         )
@@ -452,5 +452,5 @@
         description = u'Must correspond with the number of dispatch addresses above.',
         values=[1, 2, 3, 4],
-        required = True,
+        required = False,
         readonly = False,
         default = 1,