Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interfaces.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interfaces.py	(revision 17598)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interfaces.py	(revision 17599)
@@ -32,5 +32,5 @@
 
     clearance_fee = schema.Float(
-        title = _(u'Acceptance Fee'),
+        title = _(u'Acceptance Fee (default)'),
         default = 0.0,
         required = False,
@@ -96,4 +96,15 @@
     # Additional fees in custom package add here
 
+    ugftlocal_clearance_fee = schema.Float(
+        title = _(u'UG FT Local Acceptance Fee (without Btech Fee)'),
+        default = 0.0,
+        required = False,
+        )
+
+    ugft_clearance_fee = schema.Float(
+        title = _(u'UG FT Non-Local Acceptance Fee (without Btech Fee)'),
+        default = 0.0,
+        required = False,
+        )
 
     def getSessionString():
Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/browser.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/browser.py	(revision 17598)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/browser.py	(revision 17599)
@@ -89,15 +89,15 @@
         if self.context.p_category == 'clearance':
             provider_amt = 500.0
-            xmldict['institution_acct'] = '1216063205'
-            if student.faccode in ('PRE', 'JUPEB'):
-                xmldict['institution_acct'] = '1011431799'
-            if student.current_mode.startswith('dp'):
-                xmldict['institution_acct'] = '1011431799'
-            if student.faccode == 'IJMB':
-                xmldict['institution_acct'] = '0093658062'
+            if student.current_mode in ('ug_ft', 'de_ft'):
+                xmldict['institution_acct'] = '1216063205'
+                tech_fee = 18000.0
+                xmldict['tech_acct'] = '0092304647'
+                xmldict['tech_bank_id'] = '121'
         elif self.context.p_category == 'schoolfee':
             provider_amt = 2800.0
             tech_fee = 1200.0
             xmldict['institution_acct'] = '1011739172'
+            xmldict['tech_acct'] = '0213065415'
+            xmldict['tech_bank_id'] = '47'
             if student.faccode in ('PRE', 'JUPEB'):
                 xmldict['institution_acct'] = '2001627961'
@@ -152,5 +152,5 @@
 <item_detail item_id="1" item_name="%(institution_item_name)s" item_amt="%(institution_amt)d" bank_id="%(institution_bank_id)s" acct_num="%(institution_acct)s" />
 <item_detail item_id="2" item_name="%(provider_item_name)s" item_amt="%(provider_amt)d" bank_id="%(provider_bank_id)s" acct_num="%(provider_acct)s" />
-<item_detail item_id="3" item_name="Technology Fee" item_amt="%(tech_fee)d" bank_id="47" acct_num="0213065415" />
+<item_detail item_id="3" item_name="Technology Fee" item_amt="%(tech_fee)d" bank_id="%(tech_bank_id)s" acct_num="%(tech_acct)s"/>
 </item_details>
 </payment_item_detail>""" % xmldict
Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/tests.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/tests.py	(revision 17598)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/interswitch/tests.py	(revision 17599)
@@ -101,5 +101,5 @@
         self.assertEqual(self.student.current_mode, 'ug_ft')
         self.assertMatches(
-            '...<input type="hidden" name="amount" value="115000" />...',
+            '...<input type="hidden" name="amount" value="1975000" />...',
             self.browser.contents)
         delta = timedelta(days=8)
Index: /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/utils.py
===================================================================
--- /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/utils.py	(revision 17598)
+++ /main/kofacustom.unidel/trunk/src/kofacustom/unidel/students/utils.py	(revision 17599)
@@ -139,14 +139,9 @@
                 return _('Study course data are incomplete.'), None
             amount = academic_session.clearance_fee
-            if local(student):
-                amount *= 2.0
-            else:
-                amount *= 2.4
-            if student.faccode == 'PRE':
-                amount = 20000.0
-            if student.faccode == 'JUPEB':
-                amount = 25000.0
-            if student.current_mode.startswith('dp'):
-                amount = 20000.0
+            if student.current_mode in ('ug_ft', 'de_ft'):
+                if local(student):
+                    amount = academic_session.ugftlocal_clearance_fee
+                else:
+                    amount = academic_session.ugft_clearance_fee
         elif category == 'bed_allocation':
             acco_details = self.getAccommodationDetails(student)