Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv	(revision 17614)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_12.csv	(revision 17615)
@@ -14,13 +14,13 @@
 BARST,FAT,RCS,28500,16000,1000,,3000,3000,
 BATMA,FAT,TMA,28500,16000,1000,,3000,3000,
-BSCANA,FBM,ANA,195000,16000,1000,,3000,3000,
-BMLS,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSCHMP,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSHBTS,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSHIST,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSMMCB,FBM,MLS,210000,16000,1000,,3000,3000,
-BSCNSG,FBM,NSG,215000,16000,1000,,3000,3000,
-BSCPHS,FBM,PHS,170000,16000,1000,,3000,3000,
-BSCPYS,FBM,PYS,170000,16000,1000,,3000,3000,
+BSCANA,FBM,ANA,157000,16000,1000,,3000,3000,
+BMLS,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSCHMP,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSHBTS,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSHIST,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSMMCB,FBM,MLS,159000,16000,1000,,3000,3000,
+BSCNSG,FBM,NSG,161000,16000,1000,,3000,3000,
+BSCPHS,FBM,PHS,132800,16000,1000,,3000,3000,
+BSCPYS,FBM,PYS,132800,16000,1000,,3000,3000,
 MBBS,FCS,MED,220000,16000,1000,,3000,3000,
 BEDACC,FED,BED,35000,16000,1000,,3000,3000,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv	(revision 17614)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_13.csv	(revision 17615)
@@ -14,13 +14,13 @@
 BARST,FAT,RCS,28000,16000,1000,,3000,3000,
 BATMA,FAT,TMA,28000,16000,1000,,3000,3000,
-BSCANA,FBM,ANA,195000,16000,1000,,3000,3000,
-BMLS,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSCHMP,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSHBTS,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSHIST,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSMMCB,FBM,MLS,210000,16000,1000,,3000,3000,
-BSCNSG,FBM,NSG,215000,16000,1000,,3000,3000,
-BSCPHS,FBM,PHS,170000,16000,1000,,3000,3000,
-BSCPYS,FBM,PYS,170000,16000,1000,,3000,3000,
+BSCANA,FBM,ANA,157000,16000,1000,,3000,3000,
+BMLS,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSCHMP,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSHBTS,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSHIST,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSMMCB,FBM,MLS,159000,16000,1000,,3000,3000,
+BSCNSG,FBM,NSG,161000,16000,1000,,3000,3000,
+BSCPHS,FBM,PHS,132800,16000,1000,,3000,3000,
+BSCPYS,FBM,PYS,132800,16000,1000,,3000,3000,
 MBBS,FCS,MED,220000,16000,1000,,3000,3000,
 BEDACC,FED,BED,34500,16000,1000,,3000,3000,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv	(revision 17614)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_14.csv	(revision 17615)
@@ -14,13 +14,13 @@
 BARST,FAT,RCS,29500,16000,1000,,3000,3000,
 BATMA,FAT,TMA,29500,16000,1000,,3000,3000,
-BSCANA,FBM,ANA,195000,16000,1000,,3000,3000,
-BMLS,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSCHMP,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSHBTS,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSHIST,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSMMCB,FBM,MLS,210000,16000,1000,,3000,3000,
-BSCNSG,FBM,NSG,215000,16000,1000,,3000,3000,
-BSCPHS,FBM,PHS,170000,16000,1000,,3000,3000,
-BSCPYS,FBM,PYS,170000,16000,1000,,3000,3000,
+BSCANA,FBM,ANA,157000,16000,1000,,3000,3000,
+BMLS,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSCHMP,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSHBTS,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSHIST,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSMMCB,FBM,MLS,159000,16000,1000,,3000,3000,
+BSCNSG,FBM,NSG,161000,16000,1000,,3000,3000,
+BSCPHS,FBM,PHS,132800,16000,1000,,3000,3000,
+BSCPYS,FBM,PYS,132800,16000,1000,,3000,3000,
 MBBS,FCS,MED,220000,16000,1000,,3000,3000,
 BEDACC,FED,BED,36000,16000,1000,,3000,3000,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv	(revision 17614)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_15.csv	(revision 17615)
@@ -14,13 +14,13 @@
 BARST,FAT,RCS,91950,16000,1000,,3000,3000,
 BATMA,FAT,TMA,91950,16000,1000,,3000,3000,
-BSCANA,FBM,ANA,195000,16000,1000,,3000,3000,
-BMLS,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSCHMP,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSHBTS,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSHIST,FBM,MLS,210000,16000,1000,,3000,3000,
-BMLSMMCB,FBM,MLS,210000,16000,1000,,3000,3000,
-BSCNSG,FBM,NSG,215000,16000,1000,,3000,3000,
-BSCPHS,FBM,PHS,170000,16000,1000,,3000,3000,
-BSCPYS,FBM,PYS,170000,16000,1000,,3000,3000,
+BSCANA,FBM,ANA,157000,16000,1000,,3000,3000,
+BMLS,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSCHMP,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSHBTS,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSHIST,FBM,MLS,159000,16000,1000,,3000,3000,
+BMLSMMCB,FBM,MLS,159000,16000,1000,,3000,3000,
+BSCNSG,FBM,NSG,161000,16000,1000,,3000,3000,
+BSCPHS,FBM,PHS,132800,16000,1000,,3000,3000,
+BSCPYS,FBM,PYS,132800,16000,1000,,3000,3000,
 MBBS,FCS,MED,220000,16000,1000,,3000,3000,
 BEDACC,FED,BED,107700,16000,1000,,3000,3000,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv	(revision 17614)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_20.csv	(revision 17615)
@@ -14,13 +14,13 @@
 BARST,FAT,RCS,95950,16000,1000,,3000,3000,,
 BATMA,FAT,TMA,95950,16000,1000,,3000,3000,,
-BSCANA,FBM,ANA,195000,16000,1000,,3000,3000,,
-BMLS,FBM,MLS,210000,16000,1000,,3000,3000,,
-BMLSCHMP,FBM,MLS,210000,16000,1000,,3000,3000,,
-BMLSHBTS,FBM,MLS,210000,16000,1000,,3000,3000,,
-BMLSHIST,FBM,MLS,210000,16000,1000,,3000,3000,,
-BMLSMMCB,FBM,MLS,210000,16000,1000,,3000,3000,,
-BSCNSG,FBM,NSG,215000,16000,1000,,3000,3000,,
-BSCPHS,FBM,PHS,170000,16000,1000,,3000,3000,,
-BSCPYS,FBM,PYS,170000,16000,1000,,3000,3000,,
+BSCANA,FBM,ANA,157000,16000,1000,,3000,3000,,
+BMLS,FBM,MLS,159000,16000,1000,,3000,3000,,
+BMLSCHMP,FBM,MLS,159000,16000,1000,,3000,3000,,
+BMLSHBTS,FBM,MLS,159000,16000,1000,,3000,3000,,
+BMLSHIST,FBM,MLS,159000,16000,1000,,3000,3000,,
+BMLSMMCB,FBM,MLS,159000,16000,1000,,3000,3000,,
+BSCNSG,FBM,NSG,161000,16000,1000,,3000,3000,,
+BSCPHS,FBM,PHS,132800,16000,1000,,3000,3000,,
+BSCPYS,FBM,PYS,132800,16000,1000,,3000,3000,,
 MBBS,FCS,MED,220000,16000,1000,,3000,3000,,
 BEDACC,FED,BED,111700,16000,1000,,3000,3000,,