Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_12.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_12.csv	(revision 17635)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_12.csv	(revision 17636)
@@ -1068,10 +1068,10 @@
 PHDTCH,PSC,CHM,150000,56200,300000,112400
 PHDTMP,PSC,PHY,150000,56200,300000,112400
-MSCES,SPESSE,SPESSE,250000,56200,300000,112400
-MSCPM,SPESSE,SPESSE,250000,56200,300000,112400
-MSCSS,SPESSE,SPESSE,250000,56200,300000,112400
-PGDES,SPESSE,SPESSE,250000,56200,300000,112400
-PGDPM,SPESSE,SPESSE,250000,56200,300000,112400
-PGDSS,SPESSE,SPESSE,250000,56200,300000,112400
+MSCES,SPESSE,SPESSE,200000,200000,300000,300000
+MSCPM,SPESSE,SPESSE,200000,200000,300000,300000
+MSCSS,SPESSE,SPESSE,200000,200000,300000,300000
+PGDES,SPESSE,SPESSE,200000,200000,300000,300000
+PGDPM,SPESSE,SPESSE,200000,200000,300000,300000
+PGDSS,SPESSE,SPESSE,200000,200000,300000,300000
 MBFE,SSC,ECO,120000,56200,300000,112400
 MPAFT,SSC,PUB,120000,56200,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 17635)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_17.csv	(revision 17636)
@@ -1069,10 +1069,10 @@
 PHDTCH,CHM,PSC,150000,56200,300000,112400
 PHDTMP,PHY,PSC,150000,56200,300000,112400
-MSCES,SPESSE,SPESSE,250000,56200,300000,112400
-MSCPM,SPESSE,SPESSE,250000,56200,300000,112400
-MSCSS,SPESSE,SPESSE,250000,56200,300000,112400
-PGDES,SPESSE,SPESSE,250000,56200,300000,112400
-PGDPM,SPESSE,SPESSE,250000,56200,300000,112400
-PGDSS,SPESSE,SPESSE,250000,56200,300000,112400
+MSCES,SPESSE,SPESSE,200000,200000,300000,300000
+MSCPM,SPESSE,SPESSE,200000,200000,300000,300000
+MSCSS,SPESSE,SPESSE,200000,200000,300000,300000
+PGDES,SPESSE,SPESSE,200000,200000,300000,300000
+PGDPM,SPESSE,SPESSE,200000,200000,300000,300000
+PGDSS,SPESSE,SPESSE,200000,200000,300000,300000
 MBFE,ECO,SSC,200000,60200,300000,112400
 MPAFT,PUB,SSC,120000,56200,300000,112400
@@ -1352,30 +1352,30 @@
 BAGFWM,FWM,AGR,73400,60500,102800,59700
 BAGSOS,SOS,AGR,73400,60500,102800,59700
-BARTAPG,FAA,ART,69900,56500,95800,47700
-BARTAPM,FAA,ART,69900,56500,95800,47700
-BARTCER,FAA,ART,69900,56500,95800,47700
-BARTEDL,LST,ART,69900,56500,95800,47700
-BARTENL,ENL,ART,69900,56500,95800,47700
-BARTFAA,FAA,ART,69900,56500,95800,47700
-BARTFAP,FAA,ART,69900,56500,95800,47700
-BARTFOL,FOL,ART,69900,56500,95800,47700
-BARTHIS,HIS,ART,69900,56500,95800,47700
-BARTIBO,LST,ART,46400,56500,86500,47700
-BARTISD,HIS,ART,69900,56500,95800,47700
-BARTLST,LST,ART,69900,56500,95800,47700
-BARTMAS,MAC,ART,69900,56500,95800,47700
-BARTMUS,THR,ART,69900,56500,95800,47700
-BARTPHL,PHL,ART,69900,56500,95800,47700
-BARTREL,REL,ART,69900,56500,95800,47700
-BARTSCP,FAA,ART,69900,56500,95800,47700
-BARTTHR,THR,ART,69900,56500,95800,47700
-BARTTXT,FAA,ART,69900,56500,95800,47700
-BMLS,MLS,BMS,73400,60500,102800,59700
-BSCANA,ANA,BMS,73400,60500,102800,59700
-BSCMBC,MBC,BMS,73400,60500,102800,59700
-BSCNUR,NSC,BMS,73400,60500,102800,59700
-BSCPHS,PHS,BMS,73400,60500,102800,59700
-BSCPST,PST,BMS,73400,60500,102800,59700
-BSCRAD,RAD,BMS,73400,60500,102800,59700
+BARTAPG,FAA,ART,69900,56500,95800,69900
+BARTAPM,FAA,ART,69900,56500,95800,69900
+BARTCER,FAA,ART,69900,56500,95800,69900
+BARTEDL,LST,ART,69900,56500,95800,69900
+BARTENL,ENL,ART,69900,56500,95800,69900
+BARTFAA,FAA,ART,69900,56500,95800,69900
+BARTFAP,FAA,ART,69900,56500,95800,69900
+BARTFOL,FOL,ART,69900,56500,95800,69900
+BARTHIS,HIS,ART,69900,56500,95800,69900
+BARTIBO,LST,ART,46400,56500,86500,46400
+BARTISD,HIS,ART,69900,56500,95800,69900
+BARTLST,LST,ART,69900,56500,95800,69900
+BARTMAS,MAC,ART,69900,56500,95800,69900
+BARTMUS,THR,ART,69900,56500,95800,69900
+BARTPHL,PHL,ART,69900,56500,95800,69900
+BARTREL,REL,ART,69900,56500,95800,69900
+BARTSCP,FAA,ART,69900,56500,95800,69900
+BARTTHR,THR,ART,69900,56500,95800,69900
+BARTTXT,FAA,ART,69900,56500,95800,69900
+BMLS,MLS,BMS,73400,60500,102800,73400
+BSCANA,ANA,BMS,73400,60500,102800,73400
+BSCMBC,MBC,BMS,73400,60500,102800,73400
+BSCNUR,NSC,BMS,73400,60500,102800,73400
+BSCPHS,PHS,BMS,73400,60500,102800,73400
+BSCPST,PST,BMS,73400,60500,102800,73400
+BSCRAD,RAD,BMS,73400,60500,102800,73400
 cMGT,DCBT,CBT,0,0,0,0
 COEWCOM,COEWCSC,COEW,0,0,0,0
@@ -1405,86 +1405,86 @@
 NA,SOSCN,DCOEM,0,0,0,0
 BDS,DPV,DEN,73400,60500,102800,59700
-BAEDCRM,ADT,EDU,69900,56500,95800,47700
-BAEDEDO,DEF,EDU,69900,56500,95800,47700
-BAEDEL,ADT,EDU,69900,56500,95800,47700
-BAEDENG,DEF,EDU,69900,56500,95800,47700
-BAEDFA,ADT,EDU,69900,56500,95800,47700
-BAEDFAA,DEF,EDU,69900,56500,95800,47700
-BAEDFDC,DEF,EDU,69900,56500,95800,47700
-BAEDFRC,DEF,EDU,69900,56500,95800,47700
-BAEDGDC,EECP,EDU,69900,56500,95800,47700
-BAEDGRH,DEF,EDU,69900,56500,95800,47700
-BAEDHIS,DEF,EDU,69900,56500,95800,47700
-BAEDMD,DEF,EDU,69900,56500,95800,47700
-BAEDPNT,DEF,EDU,69900,56500,95800,47700
-BAEDREL,DEF,EDU,69900,56500,95800,47700
-BAEDSCP,DEF,EDU,69900,56500,95800,47700
-BAEDSS,HEK,EDU,69900,56500,95800,47700
-BAEDTXT,DEF,EDU,69900,56500,95800,47700
-BEDADM,ESM,EDU,69900,56500,95800,47700
-BEDADT,ADT,EDU,69900,56500,95800,47700
-BEDADTP,ADT,EDU,69900,56500,95800,47700
+BAEDCRM,ADT,EDU,69900,56500,95800,69900
+BAEDEDO,DEF,EDU,69900,56500,95800,69900
+BAEDEL,ADT,EDU,69900,56500,95800,69900
+BAEDENG,DEF,EDU,69900,56500,95800,69900
+BAEDFA,ADT,EDU,69900,56500,95800,69900
+BAEDFAA,DEF,EDU,69900,56500,95800,69900
+BAEDFDC,DEF,EDU,69900,56500,95800,69900
+BAEDFRC,DEF,EDU,69900,56500,95800,69900
+BAEDGDC,EECP,EDU,69900,56500,95800,69900
+BAEDGRH,DEF,EDU,69900,56500,95800,69900
+BAEDHIS,DEF,EDU,69900,56500,95800,69900
+BAEDMD,DEF,EDU,69900,56500,95800,69900
+BAEDPNT,DEF,EDU,69900,56500,95800,69900
+BAEDREL,DEF,EDU,69900,56500,95800,69900
+BAEDSCP,DEF,EDU,69900,56500,95800,69900
+BAEDSS,HEK,EDU,69900,56500,95800,69900
+BAEDTXT,DEF,EDU,69900,56500,95800,69900
+BEDADM,ESM,EDU,69900,56500,95800,69900
+BEDADT,ADT,EDU,69900,56500,95800,69900
+BEDADTP,ADT,EDU,69900,56500,95800,69900
 BEDECH_W,HEK,EDU,0,0,0,0
-BEDSPED,EECP,EDU,69900,56500,95800,47700
-BSCAPOL,ADT,EDU,69900,56500,95800,47700
-BSCEDAC,VTE,EDU,69900,56500,95800,47700
-BSCEDAG,VTE,EDU,73400,60500,95800,47700
-BSCEDB,CIT,EDU,73400,60500,95800,47700
-BSCEDBC,VTE,EDU,69900,60500,95800,47700
-BSCEDBE,VTE,EDU,69900,56500,95800,47700
-BSCEDC,CIT,EDU,73400,60500,95800,47700
-BSCEDCO,CIT,EDU,73400,60500,95800,47700
-BSCEDE,ADT,EDU,69900,56500,95800,47700
-BSCEDECHED,DEM,EDU,69900,56500,95800,47700
-BSCEDECO,DEM,EDU,69900,56500,95800,47700
-BSCEDEE,VTE,EDU,73400,60500,95800,47700
-BSCEDEM,DEM,EDU,69900,56500,95800,47700
-BSCEDEMGEO,DEM,EDU,69900,56500,95800,47700
-BSCEDES,HEK,EDU,69900,56500,95800,47700
-BSCEDEV,HSE,EDU,73400,60500,95800,47700
-BSCEDG,ADT,EDU,69900,56500,95800,47700
-BSCEDGEO,DEM,EDU,69900,56500,95800,47700
-BSCEDGR,HEK,EDU,69900,56500,95800,47700
-BSCEDHE,HSE,EDU,73400,60500,95800,47700
-BSCEDHK,HKS,EDU,69900,60500,95800,47700
-BSCEDHM,VTE,EDU,73400,60500,95800,47700
-BSCEDIS,CIT,EDU,73400,60500,95800,47700
-BSCEDLB,DEM,EDU,69900,56500,95800,47700
-BSCEDM,CIT,EDU,73400,60500,95800,47700
-BSCEDME,VTE,EDU,73400,60500,95800,47700
-BSCEDMECO,DEM,EDU,69900,56500,95800,47700
-BSCEDMPOL,DEM,EDU,69900,56500,95800,47700
-BSCEDP,CIT,EDU,73400,60500,95800,47700
-BSCEDPE,HEK,EDU,69900,56500,95800,47700
-BSCEDPOL,DEM,EDU,69900,56500,95800,47700
-BSCEDPS,HEK,EDU,69900,56500,95800,47700
-BSCEDSCM,HKS,EDU,69900,60500,95800,47700
-BSCEDSE,VTE,EDU,69900,56500,95800,47700
-BSCEDSHP,HKS,EDU,69900,60500,95800,47700
-BSCEDSOC,CIT,EDU,69900,56500,95800,47700
-BSCEDSS,HEK,EDU,69900,56500,95800,47700
-BSCEDTE,VTE,EDU,73400,60500,95800,47700
-BSCEDWB,VTE,EDU,73400,60500,95800,47700
-BENGAGR,AGR,ENG,73400,60500,102800,59700
-BENGCHE,CHE,ENG,73400,60500,102800,59700
-BENGCOM,CPE,ENG,73400,60500,102800,59700
-BENGCVE,CVE,ENG,73400,60500,102800,59700
-BENGEEE,EEE,ENG,73400,60500,102800,59700
-BENGGSE,PEE,ENG,73400,60500,102800,59700
-BENGIEE,PEE,ENG,73400,60500,102800,59700
-BENGIND,IND,ENG,73400,60500,102800,59700
-BENGMAR,MAR,ENG,73400,60500,102800,59700
-BENGMAT,MAT,ENG,73400,60500,102800,59700
-BENGMCH,MCH,ENG,73400,60500,102800,59700
-BENGMEE,MCH,ENG,73400,60500,102800,59700
-BENGMTE,MTE,ENG,73400,60500,102800,59700
-BENGPEE,PEE,ENG,73400,60500,102800,59700
-BENGPRE,PRE,ENG,73400,60500,102800,59700
-BENGSTR,CVE,ENG,73400,60500,102800,59700
-BAFAA,FAA,ENV,73400,60500,102800,59700
-BSCARCH,ARC,ENV,73400,60500,102800,59700
-BSCESM,ESM,ENV,73400,60500,102800,59700
-BSCGMT,GEM,ENV,73400,60500,102800,59700
-BSCQSV,QSV,ENV,73400,60500,102800,59700
+BEDSPED,EECP,EDU,69900,56500,95800,69900
+BSCAPOL,ADT,EDU,69900,56500,95800,69900
+BSCEDAC,VTE,EDU,69900,56500,95800,69900
+BSCEDAG,VTE,EDU,73400,60500,95800,73400
+BSCEDB,CIT,EDU,73400,60500,95800,73400
+BSCEDBC,VTE,EDU,69900,60500,95800,69900
+BSCEDBE,VTE,EDU,69900,56500,95800,69900
+BSCEDC,CIT,EDU,73400,60500,95800,73400
+BSCEDCO,CIT,EDU,73400,60500,95800,73400
+BSCEDE,ADT,EDU,69900,56500,95800,69900
+BSCEDECHED,DEM,EDU,69900,56500,95800,69900
+BSCEDECO,DEM,EDU,69900,56500,95800,69900
+BSCEDEE,VTE,EDU,73400,60500,95800,73400
+BSCEDEM,DEM,EDU,69900,56500,95800,69900
+BSCEDEMGEO,DEM,EDU,69900,56500,95800,69900
+BSCEDES,HEK,EDU,69900,56500,95800,69900
+BSCEDEV,HSE,EDU,73400,60500,95800,73400
+BSCEDG,ADT,EDU,69900,56500,95800,69900
+BSCEDGEO,DEM,EDU,69900,56500,95800,69900
+BSCEDGR,HEK,EDU,69900,56500,95800,69900
+BSCEDHE,HSE,EDU,73400,60500,95800,73400
+BSCEDHK,HKS,EDU,69900,60500,95800,69900
+BSCEDHM,VTE,EDU,73400,60500,95800,73400
+BSCEDIS,CIT,EDU,73400,60500,95800,73400
+BSCEDLB,DEM,EDU,69900,56500,95800,69900
+BSCEDM,CIT,EDU,73400,60500,95800,73400
+BSCEDME,VTE,EDU,73400,60500,95800,73400
+BSCEDMECO,DEM,EDU,69900,56500,95800,69900
+BSCEDMPOL,DEM,EDU,69900,56500,95800,69900
+BSCEDP,CIT,EDU,73400,60500,95800,73400
+BSCEDPE,HEK,EDU,69900,56500,95800,69900
+BSCEDPOL,DEM,EDU,69900,56500,95800,69900
+BSCEDPS,HEK,EDU,69900,56500,95800,69900
+BSCEDSCM,HKS,EDU,69900,60500,95800,69900
+BSCEDSE,VTE,EDU,69900,56500,95800,69900
+BSCEDSHP,HKS,EDU,69900,60500,95800,69900
+BSCEDSOC,CIT,EDU,69900,56500,95800,69900
+BSCEDSS,HEK,EDU,69900,56500,95800,69900
+BSCEDTE,VTE,EDU,73400,60500,95800,73400
+BSCEDWB,VTE,EDU,73400,60500,95800,73400
+BENGAGR,AGR,ENG,73400,60500,102800,73400
+BENGCHE,CHE,ENG,73400,60500,102800,73400
+BENGCOM,CPE,ENG,73400,60500,102800,73400
+BENGCVE,CVE,ENG,73400,60500,102800,73400
+BENGEEE,EEE,ENG,73400,60500,102800,73400
+BENGGSE,PEE,ENG,73400,60500,102800,73400
+BENGIEE,PEE,ENG,73400,60500,102800,73400
+BENGIND,IND,ENG,73400,60500,102800,73400
+BENGMAR,MAR,ENG,73400,60500,102800,73400
+BENGMAT,MAT,ENG,73400,60500,102800,73400
+BENGMCH,MCH,ENG,73400,60500,102800,73400
+BENGMEE,MCH,ENG,73400,60500,102800,73400
+BENGMTE,MTE,ENG,73400,60500,102800,73400
+BENGPEE,PEE,ENG,73400,60500,102800,73400
+BENGPRE,PRE,ENG,73400,60500,102800,73400
+BENGSTR,CVE,ENG,73400,60500,102800,73400
+BAFAA,FAA,ENV,73400,60500,102800,73400
+BSCARCH,ARC,ENV,73400,60500,102800,73400
+BSCESM,ESM,ENV,73400,60500,102800,73400
+BSCGMT,GEM,ENV,73400,60500,102800,73400
+BSCQSV,QSV,ENV,73400,60500,102800,73400
 AGREDCET,SOVOC,FCETA,0,0,0,0
 BEDCET,SOBUSE,FCETA,0,0,0,0
@@ -1512,46 +1512,46 @@
 BEDPHY,PCSA,FCETAL,0,0,0,0
 MISC,GST,GST,0,0,0,0
-LLB,LAW,LAW,69900,56500,95800,47700
-LLBBUL,BUL,LAW,69900,56500,95800,47700
-LLBJIL,JIL,LAW,69900,56500,95800,47700
-LLBPPL,PPL,LAW,69900,56500,95800,47700
-LLBPUL,PUL,LAW,69900,56500,95800,47700
-BSCAEB,AEB,LSC,73400,60500,102800,59700
-BSCAGP,AGP,LSC,73400,60500,102800,59700
-BSCBCH,BCH,LSC,73400,60500,102800,59700
-BSCBOT,BOT,LSC,73400,60500,102800,59700
-BSCEMT,EMT,LSC,73400,60500,102800,59700
-BSCMCB,MCB,LSC,73400,60500,102800,59700
-BSCOPT,OPT,LSC,73400,60500,102800,59700
-BSCPBB,PBB,LSC,73400,60500,102800,59700
-BSCSLT,SLT,LSC,73400,60500,102800,59700
-BSCZOO,ZOO,LSC,73400,60500,102800,59700
-OD,OPT,LSC,73400,60500,102800,59700
-MBBSMED,MED,MED,73400,60500,102800,59700
-MBBSNDU,MED,MED,73400,60500,102800,59700
-BSCACC,ACC,MGS,69900,56500,95800,47700
-BSCACT,ACT,MGS,69900,56500,95800,47700
-BSCBNK,BNK,MGS,69900,56500,95800,47700
-BSCBUS,BUS,MGS,69900,56500,95800,47700
-BSCENT,ENT,MGS,69900,56500,95800,47700
-BSCINS,INS,MGS,69900,56500,95800,47700
-BSCIRP,HRM,MGS,69900,56500,95800,47700
-BSCMKT,MKT,MGS,69900,56500,95800,47700
-BSCTAX,ACC,MGS,69900,56500,95800,47700
-BPHARM,PHA,PHA,73400,60500,102800,59700
-PHARMD,PHA,PHA,73400,60500,102800,59700
-BSCAGPHY,PHY,PSC,73400,60500,102800,59700
-BSCAMTH,MTH,PSC,73400,60500,102800,59700
-BSCCHM,CHM,PSC,73400,60500,102800,59700
-BSCCSC,CSC,PSC,73400,60500,102800,59700
-BSCGLY,GLY,PSC,73400,60500,102800,59700
-BSCINC,CHM,PSC,73400,60500,102800,59700
-BSCINM,MTH,PSC,73400,60500,102800,59700
-BSCINP,PHY,PSC,73400,60500,102800,59700
-BSCME,MTH,PSC,73400,60500,102800,59700
-BSCMTH,MTH,PSC,73400,60500,102800,59700
-BSCPAM,MTH,PSC,73400,60500,102800,59700
-BSCPHY,PHY,PSC,73400,60500,102800,59700
-BSCSTA,STA,PSC,73400,60500,102800,59700
+LLB,LAW,LAW,69900,56500,95800,69900
+LLBBUL,BUL,LAW,69900,56500,95800,69900
+LLBJIL,JIL,LAW,69900,56500,95800,69900
+LLBPPL,PPL,LAW,69900,56500,95800,69900
+LLBPUL,PUL,LAW,69900,56500,95800,69900
+BSCAEB,AEB,LSC,73400,60500,102800,73400
+BSCAGP,AGP,LSC,73400,60500,102800,73400
+BSCBCH,BCH,LSC,73400,60500,102800,73400
+BSCBOT,BOT,LSC,73400,60500,102800,73400
+BSCEMT,EMT,LSC,73400,60500,102800,73400
+BSCMCB,MCB,LSC,73400,60500,102800,73400
+BSCOPT,OPT,LSC,73400,60500,102800,73400
+BSCPBB,PBB,LSC,73400,60500,102800,73400
+BSCSLT,SLT,LSC,73400,60500,102800,73400
+BSCZOO,ZOO,LSC,73400,60500,102800,73400
+OD,OPT,LSC,73400,60500,102800,73400
+MBBSMED,MED,MED,73400,60500,102800,73400
+MBBSNDU,MED,MED,73400,60500,102800,73400
+BSCACC,ACC,MGS,69900,56500,95800,69900
+BSCACT,ACT,MGS,69900,56500,95800,69900
+BSCBNK,BNK,MGS,69900,56500,95800,69900
+BSCBUS,BUS,MGS,69900,56500,95800,69900
+BSCENT,ENT,MGS,69900,56500,95800,69900
+BSCINS,INS,MGS,69900,56500,95800,69900
+BSCIRP,HRM,MGS,69900,56500,95800,69900
+BSCMKT,MKT,MGS,69900,56500,95800,69900
+BSCTAX,ACC,MGS,69900,56500,95800,69900
+BPHARM,PHA,PHA,73400,60500,102800,73400
+PHARMD,PHA,PHA,73400,60500,102800,73400
+BSCAGPHY,PHY,PSC,73400,60500,102800,73400
+BSCAMTH,MTH,PSC,73400,60500,102800,73400
+BSCCHM,CHM,PSC,73400,60500,102800,73400
+BSCCSC,CSC,PSC,73400,60500,102800,73400
+BSCGLY,GLY,PSC,73400,60500,102800,73400
+BSCINC,CHM,PSC,73400,60500,102800,73400
+BSCINM,MTH,PSC,73400,60500,102800,73400
+BSCINP,PHY,PSC,73400,60500,102800,73400
+BSCME,MTH,PSC,73400,60500,102800,73400
+BSCMTH,MTH,PSC,73400,60500,102800,73400
+BSCPAM,MTH,PSC,73400,60500,102800,73400
+BSCPHY,PHY,PSC,73400,60500,102800,73400
+BSCSTA,STA,PSC,73400,60500,102800,73400
 BAPHLGMR,PABK,SAGMS,0,0,0,0
 BAPHLSAS,PAS,SAS,0,0,0,0
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 17635)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_20.csv	(revision 17636)
@@ -1069,10 +1069,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,132000,82500,300000,112400
-MSCPM,SPESSE,SPESSE,132000,82500,300000,112400
-MSCSS,SPESSE,SPESSE,132000,82500,300000,112400
-PGDES,SPESSE,SPESSE,132000,82500,300000,112400
-PGDPM,SPESSE,SPESSE,132000,82500,300000,112400
-PGDSS,SPESSE,SPESSE,132000,82500,300000,112400
+MSCES,SPESSE,SPESSE,200000,200000,300000,300000
+MSCPM,SPESSE,SPESSE,200000,200000,300000,300000
+MSCSS,SPESSE,SPESSE,200000,200000,300000,300000
+PGDES,SPESSE,SPESSE,200000,200000,300000,300000
+PGDPM,SPESSE,SPESSE,200000,200000,300000,300000
+PGDSS,SPESSE,SPESSE,200000,200000,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 17635)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 17636)
@@ -1067,10 +1067,10 @@
 PHDTCH,PSC,CHM,189500,122000,300000,112400
 PHDTMP,PSC,PHY,189500,122000,300000,112400
-MSCES,SPESSE,SPESSE,132000,82500,300000,112400
-MSCPM,SPESSE,SPESSE,132000,82500,300000,112400
-MSCSS,SPESSE,SPESSE,132000,82500,300000,112400
-PGDES,SPESSE,SPESSE,132000,82500,300000,112400
-PGDPM,SPESSE,SPESSE,132000,82500,300000,112400
-PGDSS,SPESSE,SPESSE,132000,82500,300000,112400
+MSCES,SPESSE,SPESSE,200000,200000,300000,300000
+MSCPM,SPESSE,SPESSE,200000,200000,300000,300000
+MSCSS,SPESSE,SPESSE,200000,200000,300000,300000
+PGDES,SPESSE,SPESSE,200000,200000,300000,300000
+PGDPM,SPESSE,SPESSE,200000,200000,300000,300000
+PGDSS,SPESSE,SPESSE,200000,200000,300000,300000
 MBFE,SSC,ECO,189500,122000,300000,112400
 MPAFT,SSC,PUB,228500,187700,300000,112400