Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/browser.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/browser.py	(revision 17589)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/browser.py	(revision 17652)
@@ -158,4 +158,14 @@
             for field in PG_OMIT_EDIT_FIELDS:
                 form_fields = form_fields.omit(field)
+        elif getattr(self.context.__parent__, 'code', None) == 'ase2023':
+            form_fields = grok.AutoFields(ICustomUGApplicantEdit)
+            temp_UG_OMIT_EDIT_FIELDS = list(UG_OMIT_EDIT_FIELDS)
+            for x in ('jamb_subjects',
+                      'jamb_score',
+                      'jamb_reg_number',
+                      'lga',):
+                temp_UG_OMIT_EDIT_FIELDS.remove(x)
+            for field in temp_UG_OMIT_EDIT_FIELDS:
+                form_fields = form_fields.omit(field)
         else:
             form_fields = grok.AutoFields(ICustomUGApplicantEdit)
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/interfaces.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/interfaces.py	(revision 17589)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/interfaces.py	(revision 17652)
@@ -207,4 +207,9 @@
         readonly = False,
         )
+    jamb_reg_number = schema.TextLine(
+        title = _(u'JAMB Registration Number'),
+        required = False,
+        constraint=validate_jamb_reg_number,
+        )
     jamb_subjects = schema.Text(
         title = _(u'Subjects and Scores'),
@@ -228,9 +233,4 @@
     #    required = False,
     #    )
-    #jamb_reg_number = schema.TextLine(
-    #    title = _(u'JAMB Registration Number'),
-    #    required = False,
-    #    constraint=validate_jamb_reg_number,
-    #    )
     notice = schema.Text(
         title = _(u'Notice'),
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_browser.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_browser.py	(revision 17589)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/tests/test_browser.py	(revision 17652)
@@ -36,4 +36,13 @@
 
     layer = FunctionalLayer
+
+    def test_applicant_access(self):
+        # Applicants can edit their record
+        self.browser.open(self.login_path)
+        self.login()
+        self.assertTrue(
+            'You logged in as an applicant.' in self.browser.contents)
+        self.browser.open(self.edit_path)
+        return
 
 class ApplicantExporterTest(ApplicantImportExportSetup):
Index: main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py
===================================================================
--- main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py	(revision 17589)
+++ main/kofacustom.unidel/trunk/src/kofacustom/unidel/applicants/utils.py	(revision 17652)
@@ -43,2 +43,20 @@
         'law': ['Certificate in Law Programme', 'CL'],
         }
+
+    SEPARATORS_DICT = {
+        'form.applicant_id': _(u'Base Data'),
+        'form.course1': _(u'Programmes/Courses Desired'),
+        'form.hq_type': _(u'Higher Education Record'),
+        'form.presently': _(u'Course or Programme Presently Attending'),
+        'form.nysc_year': _(u'NYSC Information'),
+        'form.employer': _(u'Employment History'),
+        'form.jamb_reg_number': _(u'JAMB Data'),
+        #'form.jamb_subjects': _(u'JAMB Data'),
+        #'form.jamb_subjects_list': _(u'JAMB Data'),
+        'form.notice': _(u'Application Process Information'),
+        'form.pp_school': _(u'Post Primary School Qualification'),
+        'form.presently_inst': _(u'Presently attending a course or programme'),
+        'form.fst_sit_fname': _(u'First Sitting Record'),
+        'form.scd_sit_fname': _(u'Second Sitting Record'),
+        'form.referees': _(u'Referees'),
+        }