Index: /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv
===================================================================
--- /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 17653)
+++ /main/waeup.uniben/trunk/src/waeup/uniben/students/schoolfees_22.csv	(revision 17654)
@@ -151,9 +151,9 @@
 MSCCRPS,AGR,CRS,132000,82500,300000,112400
 MSCECSF,AGR,FOW,132000,82500,300000,112400
-MSCEPE,AGR,SOS,132000,112000,300000,112400
+MSCEPE,AGR,SOS,132000,82500,300000,112400
 MSCFE,AGR,FIS,132000,82500,300000,112400
 MSCFER,AGR,FOW,132000,82500,300000,112400
 MSCFHMGT,AGR,FIS,132000,82500,300000,112400
-MSCFIE,AGR,SOS,132000,112000,300000,112400
+MSCFIE,AGR,SOS,132000,82500,300000,112400
 MSCFPM,AGR,FIS,132000,82500,300000,112400
 MSCFST,AGR,ANS,132000,82500,300000,112400
@@ -161,5 +161,5 @@
 MSCPEEP,AGR,AEE,132000,82500,300000,112400
 MSCSCFPN,AGR,SOS,132000,82500,300000,112400
-MSCSCM,AGR,SOS,132000,112000,300000,112400
+MSCSCM,AGR,SOS,132000,82500,300000,112400
 MSCSMB,AGR,SOS,132000,82500,300000,112400
 MSCSOS,AGR,SOS,132000,82500,300000,112400
@@ -173,5 +173,5 @@
 PHDAERM,AGR,AEE,189500,122000,300000,112400
 PHDAEX,AGR,AEE,189500,122000,300000,112400
-PHDAF ,AGR,FOW,189500,300000,122000,112400
+PHDAF ,AGR,FOW,189500,122000,300000,112400
 PHDANABG,AGR,ANS,189500,122000,300000,112400
 PHDANANB,AGR,ANS,189500,122000,300000,112400
@@ -236,5 +236,5 @@
 MAIHD,ART,HIS,132000,82500,300000,112400
 MAISD,ART,HIS,132000,82500,300000,112400
-MAISS,ART,REL,132000,112000,300000,122000
+MAISS,ART,REL,132000,82500,300000,122000
 MALIT,ART,ENL,132000,82500,300000,112400
 MALSY,ART,FOL,132000,82500,300000,112400
@@ -242,5 +242,5 @@
 MAMAC,ART,MAC,132000,82500,300000,112400
 MAMCOMM,ART,MAC,132000,82500,300000,112400
-MAMD,ART,FAA,132000,112000,300000,180000
+MAMD,ART,FAA,132000,82500,300000,180000
 MAMUD,ART,THR,132000,82500,300000,112400
 MAPHIL,ART,PHL,132000,82500,300000,112400
@@ -611,16 +611,16 @@
 PHDWR,ENG,CVE,189500,122000,300000,112400
 PHDWREH,ENG,CVE,189500,122000,300000,112400
-MAAHIS,ENV,FAA,132000,82500,300000,112400
-MAFAD,ENV,FAA,189500,122000,300000,180000
-MAMED,ENV,FAA,132000,112000,300000,180000
-MFAAD,ENV,FAA,132000,82500,300000,112400
-MFAART,ENV,FAA,132000,82500,300000,112400
-MFACM,ENV,FAA,132000,82500,300000,112400
-MFAGRAP,ENV,FAA,132000,82500,300000,112400
-MFAMD,ENV,FAA,132000,82500,300000,112400
-MFAPM,ENV,FAA,132000,82500,300000,112400
-MFAPT,ENV,FAA,132000,82500,300000,112400
-MFASCT,ENV,FAA,132000,82500,300000,112400
-MFATAF,ENV,FAA,132000,82500,300000,112400
+MAAHIS,ENV,FAA,155000,99000,300000,112400
+MAFAD,ENV,FAA,155000,99000,300000,180000
+MAMED,ENV,FAA,155000,99000,300000,180000
+MFAAD,ENV,FAA,155000,99000,300000,112400
+MFAART,ENV,FAA,155000,99000,300000,112400
+MFACM,ENV,FAA,155000,99000,300000,112400
+MFAGRAP,ENV,FAA,155000,99000,300000,112400
+MFAMD,ENV,FAA,155000,99000,300000,112400
+MFAPM,ENV,FAA,155000,99000,300000,112400
+MFAPT,ENV,FAA,155000,99000,300000,112400
+MFASCT,ENV,FAA,155000,99000,300000,112400
+MFATAF,ENV,FAA,155000,99000,300000,112400
 MPAHIS,ENV,FAA,189500,122000,300000,112400
 MPCER,ENV,FAA,189500,122000,300000,112400
@@ -722,5 +722,5 @@
 MSCIMIM,LSC,MCB,132000,82500,300000,112400
 MSCLA,LSC,PBB,132000,82500,300000,112400
-MSCMBT,LSC,MCB,132000,112000,300000,122000
+MSCMBT,LSC,MCB,132000,82500,300000,122000
 MSCMCB,LSC,MCB,132000,82500,300000,112400
 MSCMMCB,LSC,MCB,132000,82500,300000,112400
@@ -973,5 +973,5 @@
 MSCAC,PSC,CHM,155000,99000,300000,112400
 MSCACH,PSC,CHM,155000,99000,300000,112400
-MSCAGP,PSC,GLY,132000,122000,300000,122000
+MSCAGP,PSC,GLY,155000,99000,300000,122000
 MSCAMFMG,PSC,MTH,155000,99000,300000,112400
 MSCAMTH,PSC,MTH,155000,99000,300000,112400
@@ -1017,5 +1017,5 @@
 MSCSTAT,PSC,STA,155000,99000,300000,112400
 MSCTC,PSC,CHM,155000,99000,300000,112400
-MSCTMP,PSC,PHY,155000,122000,300000,112400
+MSCTMP,PSC,PHY,155000,99000,300000,112400
 PGDMEXP,PSC,GLY,132000,82500,300000,112400
 PGDSTA,PSC,MTH,132000,82500,300000,112400