Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 17665)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 17672)
@@ -121,31 +121,34 @@
             100 * provider_amt)
 
-        if self.context.p_option == 'access':
-            xmldict['institution_acct'] = '0040484781'
-            xmldict['institution_bank_id'] = '31'
-        elif self.context.p_option == 'first':
-            xmldict['institution_acct'] = '2021420049'
-            xmldict['institution_bank_id'] = '8'
-        elif self.context.p_option == 'zenith':
-            xmldict['institution_acct'] = '1011005811'
+        if grok.getSite().__name__ == 'iuokada-cdl':
+            xmldict['institution_acct'] = '1229771245'
             xmldict['institution_bank_id'] = '117'
+            if self.context.p_category.startswith('schoolfee'):
+                xmldict['institution_acct'] = '1828332878'
+                xmldict['institution_bank_id'] = '31'
         else:
-            xmldict['institution_acct'] = '0040484781'
-            xmldict['institution_bank_id'] = '31'
-
-        # Overwrite above selection
-
-        if grok.getSite().__name__ == 'iuokada-cdl':
-            xmldict['institution_acct'] = '1828332878'
-            xmldict['institution_bank_id'] = '31'
-        elif self.context.p_category == 'book':
-            xmldict['institution_acct'] = '1228744877'
-            xmldict['institution_bank_id'] = '117'
-        elif self.context.p_category == 'parentsconsult':
-            xmldict['institution_acct'] = '1228747029'
-            xmldict['institution_bank_id'] = '117'
-        elif self.context.p_category == 'health_insurance':
-            xmldict['institution_acct'] = '1228744884'
-            xmldict['institution_bank_id'] = '117'
+            if self.context.p_option == 'access':
+                xmldict['institution_acct'] = '0040484781'
+                xmldict['institution_bank_id'] = '31'
+            elif self.context.p_option == 'first':
+                xmldict['institution_acct'] = '2021420049'
+                xmldict['institution_bank_id'] = '8'
+            elif self.context.p_option == 'zenith':
+                xmldict['institution_acct'] = '1011005811'
+                xmldict['institution_bank_id'] = '117'
+            else:
+                xmldict['institution_acct'] = '0040484781'
+                xmldict['institution_bank_id'] = '31'
+
+            # Overwrite above selection
+            if self.context.p_category == 'book':
+                xmldict['institution_acct'] = '1228744877'
+                xmldict['institution_bank_id'] = '117'
+            elif self.context.p_category == 'parentsconsult':
+                xmldict['institution_acct'] = '1228747029'
+                xmldict['institution_bank_id'] = '117'
+            elif self.context.p_category == 'health_insurance':
+                xmldict['institution_acct'] = '1228744884'
+                xmldict['institution_bank_id'] = '117'
 
         if provider_amt == 0:
@@ -210,4 +213,7 @@
         xmldict['institution_acct'] = '1011005811'
         xmldict['institution_bank_id'] = '117'
+        if grok.getSite().__name__ == 'iuokada-cdl':
+            xmldict['institution_acct'] = '1229774710'
+            xmldict['institution_bank_id'] = '117'
         xmldict['detail_ref'] = self.context.p_id
         xmldict['provider_amt'] = 100 * provider_amt
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 17665)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 17672)
@@ -167,4 +167,5 @@
 
     CDLPORTAL_PAYMENT_CATEGORIES = {
+        'schoolfee': 'School Fees',
         'clearance': 'Acceptance Fee',
         'id_card': 'Student ID Card',