Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/browser.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/browser.py	(revision 17713)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/browser.py	(revision 17714)
@@ -24,4 +24,5 @@
     ApplicantRegistrationPage, ApplicantsContainerPage)
 from waeup.kofa.applicants.browser import (
+    AdditionalFile,
     ApplicantDisplayFormPage,
     ApplicantManageFormPage,
@@ -118,2 +119,12 @@
         return True
 
+
+class FirsttermResult(AdditionalFile):
+    """Renders the pdf form extension for applicants.
+    """
+    grok.name('firsttermresult')
+
+class BirthCertificate(AdditionalFile):
+    """Renders the pdf form extension for applicants.
+    """
+    grok.name('birthcertificate')
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/interfaces.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/interfaces.py	(revision 17713)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/interfaces.py	(revision 17714)
@@ -48,5 +48,4 @@
         required = False,
         )
-
     applicant_id = schema.TextLine(
         title = _(u'Applicant Id'),
@@ -54,5 +53,4 @@
         readonly = False,
         )
-
     reg_number = TextLineChoice(
         title = _(u'Registration Number'),
@@ -61,20 +59,16 @@
         source = contextual_reg_num_source,
         )
-
     firstname = schema.TextLine(
         title = _(u'First Name'),
         required = True,
         )
-
     middlename = schema.TextLine(
         title = _(u'Middle Name'),
         required = False,
         )
-
     lastname = schema.TextLine(
         title = _(u'Last Name (Surname)'),
         required = True,
         )
-
     date_of_birth = FormattedDate(
         title = _(u'Date of Birth'),
@@ -82,5 +76,4 @@
         show_year = True,
         )
-
     sex = schema.Choice(
         title = _(u'Gender'),
@@ -119,10 +112,14 @@
     present_class_comment = schema.Text(
         title = _(u'Child\'s Present Class'),
-        description = u'Indicate the child\'s present class. Please attach a copy of the first term result of the present class. Children in Basic Four or less than 10yrs by October should not apply.',
+        description = u'Indicate the child\'s present class. Please upload a '
+                       'copy of the first term result of the present class. '
+                       'Children in Basic Four or less than 10yrs by October '
+                       'should not apply.',
         required = False,
         )
     handicapped_comment = schema.Text(
         title = _(u'Health Problems'),
-        description = u'Does the child has any special health problem or handicap? If yes, give details.',
+        description = u'Does the child has any special health problem or handicap? '
+                       'If yes, give details.',
         required = False,
         )
@@ -133,4 +130,66 @@
     genotype = schema.TextLine(
         title = _(u'Genotype'),
+        required = False,
+        )
+    father_firstname = schema.TextLine(
+        title = _(u'First Name of Father'),
+        required = False,
+        )
+    father_middlename = schema.TextLine(
+        title = _(u'Middle Name of Father'),
+        required = False,
+        )
+    father_lastname = schema.TextLine(
+        title = _(u'Last Name (Surname) of Father'),
+        required = False,
+        )
+    father_status = schema.TextLine(
+        title = _(u'Father\'s Status and Rank'),
+        required = False,
+        )
+    father_employer = schema.TextLine(
+        title = _(u'Father\'s Employer'),
+        required = False,
+        )
+    father_res_address = schema.Text(
+        title = _(u'Father\'s Residential Address'),
+        required = False,
+        )
+    father_contact_address = schema.Text(
+        title = _(u'Father\'s Contact Address (incl. P.O. Box)'),
+        required = False,
+        )
+    mother_firstname = schema.TextLine(
+        title = _(u'First Name of Mother'),
+        required = False,
+        )
+    mother_middlename = schema.TextLine(
+        title = _(u'Middle Name of Mother'),
+        required = False,
+        )
+    mother_lastname = schema.TextLine(
+        title = _(u'Last Name (Surname) of Mother'),
+        required = False,
+        )
+    mother_status = schema.TextLine(
+        title = _(u'Mother\'s Status and Rank'),
+        required = False,
+        )
+    mother_employer = schema.TextLine(
+        title = _(u'Mother\'s Employer'),
+        required = False,
+        )
+    mother_res_address = schema.Text(
+        title = _(u'Mother\'s Residential Address'),
+        required = False,
+        )
+    mother_contact_address = schema.Text(
+        title = _(u'Mother\'s Contact Address (incl. P.O. Box)'),
+        required = False,
+        )
+    responsible = schema.TextLine(
+        title = _(u'Financial Responsibility'),
+        description = u'Who will responsible for for the child\'s school '
+                       'fees and other fiancial commitments?',
         required = False,
         )
@@ -147,63 +206,4 @@
         title = _(u'Form locked'),
         default = False,
-        required = False,
-        )
-
-
-    father_firstname = schema.TextLine(
-        title = _(u'First Name of Father'),
-        required = False,
-        )
-    father_middlename = schema.TextLine(
-        title = _(u'Middle Name of Father'),
-        required = False,
-        )
-    father_lastname = schema.TextLine(
-        title = _(u'Last Name (Surname) of Father'),
-        required = False,
-        )
-    father_status = schema.TextLine(
-        title = _(u'Father\'s Status and Rank'),
-        required = False,
-        )
-    father_employer = schema.TextLine(
-        title = _(u'Father\'s Employer'),
-        required = False,
-        )
-    father_res_address = schema.Text(
-        title = _(u'Father\'s Residential Address'),
-        required = False,
-        )
-    father_contact_address = schema.Text(
-        title = _(u'Father\'s Contact Address (incl. P.O. Box)'),
-        required = False,
-        )
-
-    mother_firstname = schema.TextLine(
-        title = _(u'First Name of Mother'),
-        required = False,
-        )
-    mother_middlename = schema.TextLine(
-        title = _(u'Middle Name of Mother'),
-        required = False,
-        )
-    mother_lastname = schema.TextLine(
-        title = _(u'Last Name (Surname) of Mother'),
-        required = False,
-        )
-    mother_status = schema.TextLine(
-        title = _(u'Mother\'s Status and Rank'),
-        required = False,
-        )
-    mother_employer = schema.TextLine(
-        title = _(u'Mother\'s Employer'),
-        required = False,
-        )
-    mother_res_address = schema.Text(
-        title = _(u'Mother\'s Residential Address'),
-        required = False,
-        )
-    mother_contact_address = schema.Text(
-        title = _(u'Mother\'s Contact Address (incl. P.O. Box)'),
         required = False,
         )
Index: main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/utils.py
===================================================================
--- main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/utils.py	(revision 17713)
+++ main/kofacustom.udss/trunk/src/kofacustom/udss/applicants/utils.py	(revision 17714)
@@ -30,4 +30,7 @@
     """
 
+    ADDITIONAL_FILES = (('First Term Result of Present Class','firsttermresult'),
+        ('Birth Certificate','birthcertificate'),)
+
     APP_TYPES_DICT = {
         'app': ['General Application', 'APP'],
@@ -35,6 +38,6 @@
 
     SEPARATORS_DICT = {
-        'form.applicant_id': 'Personal Data of the Child',
-        'form.notice': 'Application Process Information',
-        'form.father_firstname': 'Personal Data of Parents/Guardians',
+        'form.applicant_id': 'Section A: Personal Data of the Child',
+        'form.notice': 'Section G: Application Process Information',
+        'form.father_firstname': 'Section C: Personal Data of Parents/Guardians',
         }