Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_utp.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_utp.py	(revision 17715)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_utp.py	(revision 17716)
@@ -7,5 +7,4 @@
     'utp0006': ('Zone 01','Otite, Ogaminana, Obangede','Audu Wokili Academy, Nagazi Uvete'),
     'utp0007': ('Zone 01','Otite, Ogaminana, Obangede','Acess Secondary school, nagazi uvete'),
-    'utp0008': ('Zone 01','Otite, Ogaminana, Obangede','Government Girls Secondary School, Otutu'),
     'utp0009': ('Zone 01','Otite, Ogaminana, Obangede','LENNON MEMORIAL COLLEGE AGEVA'),
     'utp0010': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Obangede'),
@@ -17,26 +16,12 @@
     'utp0016': ('Zone 01','Otite, Ogaminana, Obangede','LGEA UBE MODEL SEC.  SCHOOL, ADAVI SECRETARIAT'),
     'utp0017': ('Zone 01','Otite, Ogaminana, Obangede','ABDULAZEEZ ATTAH MEMORIAL COLLEGE, OKENE'),
-    'utp0018': ('Zone 01','Otite, Ogaminana, Obangede','GOVERNMENT SCIENCE SECONDARY SCHOOL, OGORI'),
-    'utp0019': ('Zone 01','Otite, Ogaminana, Obangede','UBE JUNIOR SEC. SCH. EIKA-ADAGU BEHIND GSSS, OGAMINANA'),
     'utp0020': ('Zone 01','Otite, Ogaminana, Obangede','PRINCE OF PEACE ACADEMY, KABBA JUNCTION'),
     'utp0021': ('Zone 01','Otite, Ogaminana, Obangede','LGEA UBE SCHOOL ABOBO OPPOSITE NIOMP GATE'),
     'utp0022': ('Zone 01','Otite, Ogaminana, Obangede','OKOMANYI GROUP OF SCHOOLS (SECONDARY SECTION)'),
     'utp0023': ('Zone 01','Otite, Ogaminana, Obangede','WISDOM DOMINION INTERNATIONAL SCHOOL, ADAVI EBA'),
-    'utp0024': ('Zone 01','Otite, Ogaminana, Obangede','Ihima Community Science Secondary School, Ihima'),
-    'utp0025': ('Zone 01','Otite, Ogaminana, Obangede','Government Day Sechondaty School, Ohueta, Ihima'),
-    'utp0026': ('Zone 01','Otite, Ogaminana, Obangede','Okehi Community Secondary School, Oboroke, Ihima'),
     'utp0027': ('Zone 01','Otite, Ogaminana, Obangede','Soladad International School, GRA, Okene'),
-    'utp0028': ('Zone 01','Otite, Ogaminana, Obangede','Success College Ozuri, Okene'),
-    'utp0029': ('Zone 01','Otite, Ogaminana, Obangede','Govt. Girls\' Secondary School, Oboroke, along Obangede road'),
     'utp0030': ('Zone 01','Otite, Ogaminana, Obangede','Government Day Secondary School, Inoziomi'),
     'utp0031': ('Zone 01','Otite, Ogaminana, Obangede','Ebira Muslim Community College, Okengwe'),
     'utp0032': ('Zone 01','Otite, Ogaminana, Obangede','Gifted Academy, Nagazi-eba'),
-    'utp0033': ('Zone 02','Kabba Aiyetoro Gbedde','St. Augustine College, Kabba'),
-    'utp0034': ('Zone 02','Kabba Aiyetoro Gbedde','ST. MONICA\'S COLLEGE, KABBA'),
-    'utp0035': ('Zone 02','Kabba Aiyetoro Gbedde','ST. BARNABAS COLLEGE, KABBA'),
-    'utp0036': ('Zone 03','Ikare','Isua High School, Isua'),
-    'utp0037': ('Zone 03','Ikare','VICTORY COLLEGE IKARE AKOKO'),
-    'utp0038': ('Zone 03','Ikare','Aud Grammar School, Ikare, Akoko'),
-    'utp0039': ('Zone 04','Lokoja','Muslim Community Secondary School, Lokoja'),
     'utp0040': ('Zone 04','Lokoja','Bishop Delise College Lokoja'),
      # Additional School 22/04/2022
@@ -45,11 +30,16 @@
     'utp0043': ('Zone 01','Otite, Ogaminana, Obangede','Science Leadership Academy, Eika Adagu'),
     'utp0044': ('Zone 01','Otite, Ogaminana, Obangede','Queen of Apostle College, Okene'),
-    'utp0045': ('Zone 02','Kabba Aiyetoro Gbedde','St Joseph UBE School, Kabba'),
-    'utp0046': ('Zone 03','Ikare','Lennon Jubilee High School, Ikare Akoko'),
-    'utp0047': ('Zone 04','Lokoja','Army Day Secondary School, Lokoja'),
-  # Additional School 29/03/2023
+    # Additional School 29/03/2023
     'utp0048': ('Zone 01','Otite, Ogaminana, Obangede','Unity Model Secondary School, FCE Okene II'),
     'utp0049': ('Zone 01','Otite, Ogaminana, Obangede','Ebira Community Secondary School, Ogaminana II'),
     'utp0050': ('Zone 01','Otite, Ogaminana, Obangede','Government Science Secondary School, Ogaminana II'),
     'utp0051': ('Zone 01','Otite, Ogaminana, Obangede','NIOMP Staff Secondary School, Itakpe II'),
+    # Additional School 13/03/2024
+    'utp0052': ('Zone 01','Otite, Ogaminana, Obangede','A One Comprehensive School, Eika Adagu'),
+    'utp0053': ('Zone 01','Otite, Ogaminana, Obangede','Higher Ground Academy, Nagazi'),
+    'utp0054': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Eika-Ohizeruyi'),
+    'utp0055': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Kuroko'),
+    'utp0056': ('Zone 01','Otite, Ogaminana, Obangede','Williesth Intl School, Abobo'),
+    'utp0057': ('Zone 01','Otite, Ogaminana, Obangede','LGEA UBE Sec. School, Opposite Rio Hotel, Nagazi Uvete'),
+    'utp0058': ('Zone 01','Otite, Ogaminana, Obangede','FAAAZ International Academy, Nagazi'),
 }